Bug 689112 - Review Request: php-pear-File-CSV - Read and write of CSV files
Summary: Review Request: php-pear-File-CSV - Read and write of CSV files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 689114
TreeView+ depends on / blocked
 
Reported: 2011-03-19 15:54 UTC by Remi Collet
Modified: 2012-04-12 02:39 UTC (History)
3 users (show)

Fixed In Version: php-pear-File-CSV-1.0.0-2.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-12 02:39:52 UTC
Type: ---
karlthered: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2011-03-19 15:54:23 UTC
Spec URL: http://remi.fedorapeople.org/php-pear-File-CSV.spec
Needed SRPM URL: 
http://remi.fedorapeople.org/php-pear-File-1.4.0-1.remi.src.rpm
http://remi.fedorapeople.org/php-pear-File-CSV-1.0.0-1.remi.src.rpm
http://remi.fedorapeople.org/php-pear-File-Util-1.0.0-1.remi.src.rpm

Description: 
Read and write of CSV files as well as discovering the format the CSV file
is in.

Supports headers and is excel compatible, i.e. ="0004" outputs as 0004
(only read wise)

For more information on CSV: http://rfc.net/rfc4180.html


-----
Main package "File" (already in the repository) have been split in 3 packages : File, File_CSV, File_Util.

Each can be build separately, but all must be installed to work and run tests.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2925533

For doc placement, see https://fedorahosted.org/fpc/ticket/69

Comment 1 Remi Collet 2011-03-19 15:57:06 UTC
File_Util submit for review, see Bug #689114

Comment 2 Remi Collet 2012-01-29 19:18:20 UTC
Minor cleanups + patch for failing test (var_dump have change in php 5.4)
http://remi.fedorapeople.org/php-pear-File-CSV-1.0.0-2.fc16.remi.src.rpm

Comment 3 Haïkel Guémar 2012-03-05 17:11:08 UTC
It looks fine for me, except for the inconsistent use of $RPM_BUILDROOT and %{buildroot} macros (i prefer macro-style over shell-style but you're free to chose anyone). As soon as you fix this minor issue, i'll start the formal review.

Comment 4 Remi Collet 2012-03-05 17:16:59 UTC
New spec/srpm uploaded (same URL)

Comment 5 Haïkel Guémar 2012-03-05 17:24:41 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint php-pear-File-CSV-1.0.0-2.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint php-pear-File-CSV-1.0.0-2.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/builder/689112/File_CSV-1.0.0.tgz :
  MD5SUM this package     : a3899032d51cee860a2008e8b294c885
  MD5SUM upstream package : a3899032d51cee860a2008e8b294c885

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD Scriptlets must be sane, if used.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Patch0: file-csv-test.patch (file-csv-test.patch)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed

Generated by fedora-review 0.1.2
External plugins: myself

* license: OK (BSD 2c)
* since you plan to maintain EPEL5 branch, the buildroot and defattr warning are irreleveant
* you should use consistently macros (my preference goes toward macros style over shell but you're free to choose anyone)
* the php 5.4 patch has been submitted upstream
* license file is included as requested

Well since this package respects both general and PHP/PEAR fedora guidelines, i hereby approve this package into Fedora Packages Collection

Comment 6 Remi Collet 2012-03-31 12:46:42 UTC
Thanks for the review

New Package SCM Request
=======================
Package Name: php-pear-File-CSV
Short Description: Read and write of CSV files
Owners: remi
Branches: f16 f17 el6
InitialCC:

Comment 7 Gwyn Ciesla 2012-03-31 17:44:04 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2012-04-01 08:05:18 UTC
php-pear-File-CSV-1.0.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-pear-File-CSV-1.0.0-2.fc17

Comment 9 Fedora Update System 2012-04-01 17:35:49 UTC
php-pear-File-CSV-1.0.0-2.fc17 has been pushed to the Fedora 17 testing repository.

Comment 10 Fedora Update System 2012-04-12 02:39:52 UTC
php-pear-File-CSV-1.0.0-2.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.